"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NoScript = exports.Script = void 0;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var gtmScript = function gtmScript(id) {
  return "(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':\n  new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],\n  j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=\n  'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);\n  })(window,document,'script','dataLayer','".concat(id, "');");
};

var wrapWithCookieRestriction = function wrapWithCookieRestriction(id, restriction) {
  if (restriction) {
    return "var crp_=('; '+document.cookie).split('; '+'".concat(restriction.cookieName, "'+'='); if (crp_.length===2&&crp_.pop().split(';').shift()==='").concat(restriction.value, "') {").concat(gtmScript(id), "}");
  }

  return gtmScript(id);
};

var Script = function Script(_ref) {
  var id = _ref.id,
      cookieRestriction = _ref.cookieRestriction;
  return _react["default"].createElement("script", {
    key: "gtm",
    dangerouslySetInnerHTML: {
      __html: wrapWithCookieRestriction(id, cookieRestriction)
    }
  });
};

exports.Script = Script;

var NoScript = function NoScript(_ref2) {
  var id = _ref2.id;
  return _react["default"].createElement("noscript", null, _react["default"].createElement("iframe", {
    src: "https://www.googletagmanager.com/ns.html?id=".concat(id),
    height: "0",
    width: "0",
    style: {
      display: 'none',
      visibility: 'hidden'
    }
  }));
};

exports.NoScript = NoScript;