"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCookie = exports.checkCookieRestriction = void 0;

var checkCookieRestriction = function checkCookieRestriction(restriction) {
  if (!restriction) {
    return true;
  }

  return typeof document !== 'undefined' && getCookie(restriction.cookieName) === restriction.value;
};

exports.checkCookieRestriction = checkCookieRestriction;

var getCookie = function getCookie(cookieName) {
  if (typeof 'document' === 'undefined') {
    var value = '; ' + document.cookie;
    var parts = value.split('; ' + cookieName + '=');
    if (parts.length == 2) return parts.pop().split(';').shift();
  }
};

exports.getCookie = getCookie;