"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _server = require("react-dom/server");

var _cheerio = _interopRequireDefault(require("cheerio"));

var _GtmComponents = require("./GtmComponents");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var gtmPlugin = function gtmPlugin(_ref) {
  var id = _ref.id,
      _ref$debug = _ref.debug,
      debug = _ref$debug === void 0 ? false : _ref$debug,
      cookieRestriction = _ref.cookieRestriction;
  var shouldInsert = false;
  var idExists = typeof id === 'string';
  var cache = {
    script: undefined,
    noscript: undefined
  };
  return {
    // we use the afterExport hook only for showing a warning
    afterExport: function afterExport() {
      if (shouldInsert && !idExists) {
        console.warn('Warning: react-static-plugin-google-tag-manager - No Google Tag Manager ID was provided, will not insert GTM script.');
      }
    },
    // we insert the GTM <script> and <noscript> tags in beforeDocumentToFile
    beforeDocumentToFile: function beforeDocumentToFile(html, _ref2) {
      var stage = _ref2.stage;
      if (!shouldInsert) shouldInsert = stage === 'prod' || debug;

      if (shouldInsert && idExists) {
        var $ = _cheerio["default"].load(html);

        if (!cache.script && !cache.noscript && !debug) {
          cache.script = (0, _server.renderToStaticMarkup)(_react["default"].createElement(_GtmComponents.Script, {
            id: id,
            cookieRestriction: cookieRestriction
          }));
          cache.noscript = (0, _server.renderToStaticMarkup)(_react["default"].createElement(_GtmComponents.NoScript, {
            id: id,
            cookieRestriction: cookieRestriction
          }));
        }

        $('head').prepend(cache.script);
        $('body').prepend(cache.noscript);
        return $.html();
      }

      return html;
    }
  };
};

var _default = gtmPlugin;
exports["default"] = _default;